`timescale 1 ps / 1 ps
module pcie_s5_4x (
		input  wire         npor,               //               npor.npor
		input  wire         pin_perst,          //                   .pin_perst
		input  wire [11:0]  lmi_addr,           //                lmi.lmi_addr
		input  wire [31:0]  lmi_din,            //                   .lmi_din
		input  wire         lmi_rden,           //                   .lmi_rden
		input  wire         lmi_wren,           //                   .lmi_wren
		output wire         lmi_ack,            //                   .lmi_ack
		output wire [31:0]  lmi_dout,           //                   .lmi_dout
		input  wire [4:0]   hpg_ctrler,         //          config_tl.hpg_ctrler
		output wire [3:0]   tl_cfg_add,         //                   .tl_cfg_add
		output wire [31:0]  tl_cfg_ctl,         //                   .tl_cfg_ctl
		output wire [52:0]  tl_cfg_sts,         //                   .tl_cfg_sts
		input  wire [6:0]   cpl_err,            //                   .cpl_err
		input  wire         cpl_pending,        //                   .cpl_pending
		input  wire         pm_auxpwr,          //         power_mngt.pm_auxpwr
		input  wire [9:0]   pm_data,            //                   .pm_data
		input  wire         pme_to_cr,          //                   .pme_to_cr
		input  wire         pm_event,           //                   .pm_event
		output wire         pme_to_sr,          //                   .pme_to_sr
		output wire [1:0]   currentspeed,       //         hip_status.currentspeed
		output wire         derr_cor_ext_rcv,   //                   .derr_cor_ext_rcv
		output wire         derr_cor_ext_rpl,   //                   .derr_cor_ext_rpl
		output wire         derr_rpl,           //                   .derr_rpl
		output wire         dlup,               //                   .dlup
		output wire         dlup_exit,          //                   .dlup_exit
		output wire         ev128ns,            //                   .ev128ns
		output wire         ev1us,              //                   .ev1us
		output wire         hotrst_exit,        //                   .hotrst_exit
		output wire [3:0]   int_status,         //                   .int_status
		output wire         l2_exit,            //                   .l2_exit
		output wire [3:0]   lane_act,           //                   .lane_act
		output wire [4:0]   ltssmstate,         //                   .ltssmstate
		output wire         rx_par_err,         //                   .rx_par_err
		output wire [1:0]   tx_par_err,         //                   .tx_par_err
		output wire         cfg_par_err,        //                   .cfg_par_err
		output wire [7:0]   ko_cpl_spc_header,  //                   .ko_cpl_spc_header
		output wire [11:0]  ko_cpl_spc_data,    //                   .ko_cpl_spc_data
		output wire [0:0]   rx_st_sop,          //              rx_st.startofpacket
		output wire [0:0]   rx_st_eop,          //                   .endofpacket
		output wire [0:0]   rx_st_err,          //                   .error
		output wire [0:0]   rx_st_valid,        //                   .valid
		input  wire         rx_st_ready,        //                   .ready
		output wire [63:0]  rx_st_data,         //                   .data
		output wire [7:0]   rx_st_bar,          //          rx_bar_be.rx_st_bar
		input  wire         rx_st_mask,         //                   .rx_st_mask
		input  wire [0:0]   tx_st_sop,          //              tx_st.startofpacket
		input  wire [0:0]   tx_st_eop,          //                   .endofpacket
		input  wire [0:0]   tx_st_err,          //                   .error
		input  wire [0:0]   tx_st_valid,        //                   .valid
		output wire         tx_st_ready,        //                   .ready
		input  wire [63:0]  tx_st_data,         //                   .data
		output wire [11:0]  tx_cred_datafccp,   //            tx_cred.tx_cred_datafccp
		output wire [11:0]  tx_cred_datafcnp,   //                   .tx_cred_datafcnp
		output wire [11:0]  tx_cred_datafcp,    //                   .tx_cred_datafcp
		output wire [5:0]   tx_cred_fchipcons,  //                   .tx_cred_fchipcons
		output wire [5:0]   tx_cred_fcinfinite, //                   .tx_cred_fcinfinite
		output wire [7:0]   tx_cred_hdrfccp,    //                   .tx_cred_hdrfccp
		output wire [7:0]   tx_cred_hdrfcnp,    //                   .tx_cred_hdrfcnp
		output wire [7:0]   tx_cred_hdrfcp,     //                   .tx_cred_hdrfcp
		input  wire         pld_clk,            //            pld_clk.clk
		output wire         coreclkout_hip,     //     coreclkout_hip.clk
		input  wire         refclk,             //             refclk.clk
		output wire         reset_status,       //            hip_rst.reset_status
		output wire         serdes_pll_locked,  //                   .serdes_pll_locked
		output wire         pld_clk_inuse,      //                   .pld_clk_inuse
		input  wire         pld_core_ready,     //                   .pld_core_ready
		output wire         testin_zero,        //                   .testin_zero
		input  wire [349:0] reconfig_to_xcvr,   //   reconfig_to_xcvr.reconfig_to_xcvr
		input  wire         busy_xcvr_reconfig, //                   .busy_xcvr_reconfig
		output wire [229:0] reconfig_from_xcvr, // reconfig_from_xcvr.reconfig_from_xcvr
		input  wire         rx_in0,             //         hip_serial.rx_in0
		input  wire         rx_in1,             //                   .rx_in1
		input  wire         rx_in2,             //                   .rx_in2
		input  wire         rx_in3,             //                   .rx_in3
		output wire         tx_out0,            //                   .tx_out0
		output wire         tx_out1,            //                   .tx_out1
		output wire         tx_out2,            //                   .tx_out2
		output wire         tx_out3,            //                   .tx_out3
		input  wire         sim_pipe_pclk_in,   //           hip_pipe.sim_pipe_pclk_in
		output wire [1:0]   sim_pipe_rate,      //                   .sim_pipe_rate
		output wire [4:0]   sim_ltssmstate,     //                   .sim_ltssmstate
		output wire [2:0]   eidleinfersel0,     //                   .eidleinfersel0
		output wire [2:0]   eidleinfersel1,     //                   .eidleinfersel1
		output wire [2:0]   eidleinfersel2,     //                   .eidleinfersel2
		output wire [2:0]   eidleinfersel3,     //                   .eidleinfersel3
		output wire [1:0]   powerdown0,         //                   .powerdown0
		output wire [1:0]   powerdown1,         //                   .powerdown1
		output wire [1:0]   powerdown2,         //                   .powerdown2
		output wire [1:0]   powerdown3,         //                   .powerdown3
		output wire         rxpolarity0,        //                   .rxpolarity0
		output wire         rxpolarity1,        //                   .rxpolarity1
		output wire         rxpolarity2,        //                   .rxpolarity2
		output wire         rxpolarity3,        //                   .rxpolarity3
		output wire         txcompl0,           //                   .txcompl0
		output wire         txcompl1,           //                   .txcompl1
		output wire         txcompl2,           //                   .txcompl2
		output wire         txcompl3,           //                   .txcompl3
		output wire [7:0]   txdata0,            //                   .txdata0
		output wire [7:0]   txdata1,            //                   .txdata1
		output wire [7:0]   txdata2,            //                   .txdata2
		output wire [7:0]   txdata3,            //                   .txdata3
		output wire         txdatak0,           //                   .txdatak0
		output wire         txdatak1,           //                   .txdatak1
		output wire         txdatak2,           //                   .txdatak2
		output wire         txdatak3,           //                   .txdatak3
		output wire         txdetectrx0,        //                   .txdetectrx0
		output wire         txdetectrx1,        //                   .txdetectrx1
		output wire         txdetectrx2,        //                   .txdetectrx2
		output wire         txdetectrx3,        //                   .txdetectrx3
		output wire         txelecidle0,        //                   .txelecidle0
		output wire         txelecidle1,        //                   .txelecidle1
		output wire         txelecidle2,        //                   .txelecidle2
		output wire         txelecidle3,        //                   .txelecidle3
		output wire         txdeemph0,          //                   .txdeemph0
		output wire         txdeemph1,          //                   .txdeemph1
		output wire         txdeemph2,          //                   .txdeemph2
		output wire         txdeemph3,          //                   .txdeemph3
		output wire [2:0]   txmargin0,          //                   .txmargin0
		output wire [2:0]   txmargin1,          //                   .txmargin1
		output wire [2:0]   txmargin2,          //                   .txmargin2
		output wire [2:0]   txmargin3,          //                   .txmargin3
		output wire         txswing0,           //                   .txswing0
		output wire         txswing1,           //                   .txswing1
		output wire         txswing2,           //                   .txswing2
		output wire         txswing3,           //                   .txswing3
		input  wire         phystatus0,         //                   .phystatus0
		input  wire         phystatus1,         //                   .phystatus1
		input  wire         phystatus2,         //                   .phystatus2
		input  wire         phystatus3,         //                   .phystatus3
		input  wire [7:0]   rxdata0,            //                   .rxdata0
		input  wire [7:0]   rxdata1,            //                   .rxdata1
		input  wire [7:0]   rxdata2,            //                   .rxdata2
		input  wire [7:0]   rxdata3,            //                   .rxdata3
		input  wire         rxdatak0,           //                   .rxdatak0
		input  wire         rxdatak1,           //                   .rxdatak1
		input  wire         rxdatak2,           //                   .rxdatak2
		input  wire         rxdatak3,           //                   .rxdatak3
		input  wire         rxelecidle0,        //                   .rxelecidle0
		input  wire         rxelecidle1,        //                   .rxelecidle1
		input  wire         rxelecidle2,        //                   .rxelecidle2
		input  wire         rxelecidle3,        //                   .rxelecidle3
		input  wire [2:0]   rxstatus0,          //                   .rxstatus0
		input  wire [2:0]   rxstatus1,          //                   .rxstatus1
		input  wire [2:0]   rxstatus2,          //                   .rxstatus2
		input  wire [2:0]   rxstatus3,          //                   .rxstatus3
		input  wire         rxvalid0,           //                   .rxvalid0
		input  wire         rxvalid1,           //                   .rxvalid1
		input  wire         rxvalid2,           //                   .rxvalid2
		input  wire         rxvalid3,           //                   .rxvalid3
		input  wire         app_int_sts,        //            int_msi.app_int_sts
		input  wire [4:0]   app_msi_num,        //                   .app_msi_num
		input  wire         app_msi_req,        //                   .app_msi_req
		input  wire [2:0]   app_msi_tc,         //                   .app_msi_tc
		output wire         app_int_ack,        //                   .app_int_ack
		output wire         app_msi_ack,        //                   .app_msi_ack
		input  wire [31:0]  test_in,            //           hip_ctrl.test_in
		input  wire         simu_mode_pipe      //                   .simu_mode_pipe
	);


   assign currentspeed = 0; // Wired internally in Qsys module
   assign reconfig_from_xcvr = 0; // Reconfiguration is done in the Qsys module
   // (busy_xcvr_reconfig and reconfig_to_xcvr are ignored)

	pcie_reconfig pcie_reconfig 
	  (
	   // According to Table 16-7 in Altera Transciever PHY IP Core User Guide,
	   // mgmt_clk_clk MUST go to refclk on certain V-series devices, and for
	   // others 100 MHz is always OK. So the conclusion is that refclk is used
	   // to run the reconfiguration logic.
		.clk_clk                          (refclk),                          //            clk.clk
		.hip_ctrl_test_in                 (test_in),                 //       hip_ctrl.test_in
		.hip_ctrl_simu_mode_pipe          (simu_mode_pipe),          //               .simu_mode_pipe
		.hip_pipe_sim_pipe_pclk_in        (sim_pipe_pclk_in),        //       hip_pipe.sim_pipe_pclk_in
		.hip_pipe_sim_pipe_rate           (sim_pipe_rate),           //               .sim_pipe_rate
		.hip_pipe_sim_ltssmstate          (sim_ltssmstate),          //               .sim_ltssmstate
		.hip_pipe_eidleinfersel0          (eidleinfersel0),          //               .eidleinfersel0
		.hip_pipe_eidleinfersel1          (eidleinfersel1),          //               .eidleinfersel1
		.hip_pipe_eidleinfersel2          (eidleinfersel2),          //               .eidleinfersel2
		.hip_pipe_eidleinfersel3          (eidleinfersel3),          //               .eidleinfersel3
		.hip_pipe_powerdown0              (powerdown0),              //               .powerdown0
		.hip_pipe_powerdown1              (powerdown1),              //               .powerdown1
		.hip_pipe_powerdown2              (powerdown2),              //               .powerdown2
		.hip_pipe_powerdown3              (powerdown3),              //               .powerdown3
		.hip_pipe_rxpolarity0             (rxpolarity0),             //               .rxpolarity0
		.hip_pipe_rxpolarity1             (rxpolarity1),             //               .rxpolarity1
		.hip_pipe_rxpolarity2             (rxpolarity2),             //               .rxpolarity2
		.hip_pipe_rxpolarity3             (rxpolarity3),             //               .rxpolarity3
		.hip_pipe_txcompl0                (txcompl0),                //               .txcompl0
		.hip_pipe_txcompl1                (txcompl1),                //               .txcompl1
		.hip_pipe_txcompl2                (txcompl2),                //               .txcompl2
		.hip_pipe_txcompl3                (txcompl3),                //               .txcompl3
		.hip_pipe_txdata0                 (txdata0),                 //               .txdata0
		.hip_pipe_txdata1                 (txdata1),                 //               .txdata1
		.hip_pipe_txdata2                 (txdata2),                 //               .txdata2
		.hip_pipe_txdata3                 (txdata3),                 //               .txdata3
		.hip_pipe_txdatak0                (txdatak0),                //               .txdatak0
		.hip_pipe_txdatak1                (txdatak1),                //               .txdatak1
		.hip_pipe_txdatak2                (txdatak2),                //               .txdatak2
		.hip_pipe_txdatak3                (txdatak3),                //               .txdatak3
		.hip_pipe_txdetectrx0             (txdetectrx0),             //               .txdetectrx0
		.hip_pipe_txdetectrx1             (txdetectrx1),             //               .txdetectrx1
		.hip_pipe_txdetectrx2             (txdetectrx2),             //               .txdetectrx2
		.hip_pipe_txdetectrx3             (txdetectrx3),             //               .txdetectrx3
		.hip_pipe_txelecidle0             (txelecidle0),             //               .txelecidle0
		.hip_pipe_txelecidle1             (txelecidle1),             //               .txelecidle1
		.hip_pipe_txelecidle2             (txelecidle2),             //               .txelecidle2
		.hip_pipe_txelecidle3             (txelecidle3),             //               .txelecidle3
		.hip_pipe_txdeemph0               (txdeemph0),               //               .txdeemph0
		.hip_pipe_txdeemph1               (txdeemph1),               //               .txdeemph1
		.hip_pipe_txdeemph2               (txdeemph2),               //               .txdeemph2
		.hip_pipe_txdeemph3               (txdeemph3),               //               .txdeemph3
		.hip_pipe_txmargin0               (txmargin0),               //               .txmargin0
		.hip_pipe_txmargin1               (txmargin1),               //               .txmargin1
		.hip_pipe_txmargin2               (txmargin2),               //               .txmargin2
		.hip_pipe_txmargin3               (txmargin3),               //               .txmargin3
		.hip_pipe_txswing0                (txswing0),                //               .txswing0
		.hip_pipe_txswing1                (txswing1),                //               .txswing1
		.hip_pipe_txswing2                (txswing2),                //               .txswing2
		.hip_pipe_txswing3                (txswing3),                //               .txswing3
		.hip_pipe_phystatus0              (phystatus0),              //               .phystatus0
		.hip_pipe_phystatus1              (phystatus1),              //               .phystatus1
		.hip_pipe_phystatus2              (phystatus2),              //               .phystatus2
		.hip_pipe_phystatus3              (phystatus3),              //               .phystatus3
		.hip_pipe_rxdata0                 (rxdata0),                 //               .rxdata0
		.hip_pipe_rxdata1                 (rxdata1),                 //               .rxdata1
		.hip_pipe_rxdata2                 (rxdata2),                 //               .rxdata2
		.hip_pipe_rxdata3                 (rxdata3),                 //               .rxdata3
		.hip_pipe_rxdatak0                (rxdatak0),                //               .rxdatak0
		.hip_pipe_rxdatak1                (rxdatak1),                //               .rxdatak1
		.hip_pipe_rxdatak2                (rxdatak2),                //               .rxdatak2
		.hip_pipe_rxdatak3                (rxdatak3),                //               .rxdatak3
		.hip_pipe_rxelecidle0             (rxelecidle0),             //               .rxelecidle0
		.hip_pipe_rxelecidle1             (rxelecidle1),             //               .rxelecidle1
		.hip_pipe_rxelecidle2             (rxelecidle2),             //               .rxelecidle2
		.hip_pipe_rxelecidle3             (rxelecidle3),             //               .rxelecidle3
		.hip_pipe_rxstatus0               (rxstatus0),               //               .rxstatus0
		.hip_pipe_rxstatus1               (rxstatus1),               //               .rxstatus1
		.hip_pipe_rxstatus2               (rxstatus2),               //               .rxstatus2
		.hip_pipe_rxstatus3               (rxstatus3),               //               .rxstatus3
		.hip_pipe_rxvalid0                (rxvalid0),                //               .rxvalid0
		.hip_pipe_rxvalid1                (rxvalid1),                //               .rxvalid1
		.hip_pipe_rxvalid2                (rxvalid2),                //               .rxvalid2
		.hip_pipe_rxvalid3                (rxvalid3),                //               .rxvalid3
		.hip_serial_rx_in0                (rx_in0),                //     hip_serial.rx_in0
		.hip_serial_rx_in1                (rx_in1),                //               .rx_in1
		.hip_serial_rx_in2                (rx_in2),                //               .rx_in2
		.hip_serial_rx_in3                (rx_in3),                //               .rx_in3
		.hip_serial_tx_out0               (tx_out0),               //               .tx_out0
		.hip_serial_tx_out1               (tx_out1),               //               .tx_out1
		.hip_serial_tx_out2               (tx_out2),               //               .tx_out2
		.hip_serial_tx_out3               (tx_out3),               //               .tx_out3
		.npor_npor                        (npor),                        //           npor.npor
		.npor_pin_perst                   (pin_perst),                   //               .pin_perst
		.refclk_clk                       (refclk),                       //         refclk.clk
	   // It has been verified that reconfig_reset_reset_n is indeed active
	   // low, and noone said anything about what drives this reset. So the
	   // global PCIe reset (which is synchronized in the block)
		.reset_reset_n                    (pin_perst),                    //          reset.reset_n
		.lmi_lmi_addr                     (lmi_addr),                     //            lmi.lmi_addr
		.lmi_lmi_din                      (lmi_din),                      //               .lmi_din
		.lmi_lmi_rden                     (lmi_rden),                     //               .lmi_rden
		.lmi_lmi_wren                     (lmi_wren),                     //               .lmi_wren
		.lmi_lmi_ack                      (lmi_ack),                      //               .lmi_ack
		.lmi_lmi_dout                     (lmi_dout),                     //               .lmi_dout
		.config_tl_hpg_ctrler             (hpg_ctrler),             //      config_tl.hpg_ctrler
		.config_tl_tl_cfg_add             (tl_cfg_add),             //               .tl_cfg_add
		.config_tl_tl_cfg_ctl             (tl_cfg_ctl),             //               .tl_cfg_ctl
		.config_tl_tl_cfg_sts             (tl_cfg_sts),             //               .tl_cfg_sts
		.config_tl_cpl_err                (cpl_err),                //               .cpl_err
		.config_tl_cpl_pending            (cpl_pending),            //               .cpl_pending
		.power_mngt_pm_auxpwr             (pm_auxpwr),             //     power_mngt.pm_auxpwr
		.power_mngt_pm_data               (pm_data),               //               .pm_data
		.power_mngt_pme_to_cr             (pme_to_cr),             //               .pme_to_cr
		.power_mngt_pm_event              (pm_event),              //               .pm_event
		.power_mngt_pme_to_sr             (pme_to_sr),             //               .pme_to_sr
		.rx_st_startofpacket              (rx_st_sop),              //          rx_st.startofpacket
		.rx_st_endofpacket                (rx_st_eop),                //               .endofpacket
		.rx_st_error                      (rx_st_err),                      //               .error
		.rx_st_valid                      (rx_st_valid),                      //               .valid
		.rx_st_ready                      (rx_st_ready),                      //               .ready
		.rx_st_data                       (rx_st_data),                       //               .data
		.rx_bar_be_rx_st_bar              (rx_st_bar),              //      rx_bar_be.rx_st_bar
		.rx_bar_be_rx_st_mask             (rx_st_mask),             //               .rx_st_mask
		.tx_st_startofpacket              (tx_st_sop),              //          tx_st.startofpacket
		.tx_st_endofpacket                (tx_st_eop),                //               .endofpacket
		.tx_st_error                      (tx_st_err),                      //               .error
		.tx_st_valid                      (tx_st_valid),                      //               .valid
		.tx_st_ready                      (tx_st_ready),                      //               .ready
		.tx_st_data                       (tx_st_data),                       //               .data
		.tx_cred_tx_cred_datafccp         (tx_cred_datafccp),         //        tx_cred.tx_cred_datafccp
		.int_msi_app_int_sts              (app_int_sts),              //        int_msi.app_int_sts
		.int_msi_app_msi_num              (app_msi_num),              //               .app_msi_num
		.int_msi_app_msi_req              (app_msi_req),              //               .app_msi_req
		.int_msi_app_msi_tc               (app_msi_tc),               //               .app_msi_tc
		.int_msi_app_int_ack              (app_int_ack),              //               .app_int_ack
		.int_msi_app_msi_ack              (app_msi_ack),               //               .app_msi_ack
		.tx_cred_tx_cred_datafcnp         (tx_cred_datafcnp),         //               .tx_cred_datafcnp
		.tx_cred_tx_cred_datafcp          (tx_cred_datafcp),          //               .tx_cred_datafcp
		.tx_cred_tx_cred_fchipcons        (tx_cred_fchipcons),        //               .tx_cred_fchipcons
		.tx_cred_tx_cred_fcinfinite       (tx_cred_fcinfinite),       //               .tx_cred_fcinfinite
		.tx_cred_tx_cred_hdrfccp          (tx_cred_hdrfccp),          //               .tx_cred_hdrfccp
		.tx_cred_tx_cred_hdrfcnp          (tx_cred_hdrfcnp),          //               .tx_cred_hdrfcnp
		.tx_cred_tx_cred_hdrfcp           (tx_cred_hdrfcp),           //               .tx_cred_hdrfcp
		.pld_clk_clk                      (pld_clk),                      //        pld_clk.clk
		.coreclkout_hip_clk               (coreclkout_hip),               // coreclkout_hip.clk
		.hip_rst_reset_status             (reset_status),             //        hip_rst.reset_status
		.hip_rst_serdes_pll_locked        (serdes_pll_locked),        //               .serdes_pll_locked
		.hip_rst_pld_clk_inuse            (pld_clk_inuse),            //               .pld_clk_inuse
		.hip_rst_pld_core_ready           (pld_core_ready),           //               .pld_core_ready
		.hip_rst_testin_zero              (testin_zero),              //               .testin_zero
		.hip_status_derr_cor_ext_rcv      (derr_cor_ext_rcv),      //     hip_status.derr_cor_ext_rcv
		.hip_status_derr_cor_ext_rpl      (derr_cor_ext_rpl),      //               .derr_cor_ext_rpl
		.hip_status_derr_rpl              (derr_rpl),              //               .derr_rpl
		.hip_status_dlup                  (dlup),                  //               .dlup
		.hip_status_dlup_exit             (dlup_exit),             //               .dlup_exit
		.hip_status_ev128ns               (ev128ns),               //               .ev128ns
		.hip_status_ev1us                 (ev1us),                 //               .ev1us
		.hip_status_hotrst_exit           (hotrst_exit),           //               .hotrst_exit
		.hip_status_int_status            (int_status),            //               .int_status
		.hip_status_l2_exit               (l2_exit),               //               .l2_exit
		.hip_status_lane_act              (lane_act),              //               .lane_act
		.hip_status_ltssmstate            (ltssmstate),            //               .ltssmstate
		.hip_status_rx_par_err            (rx_par_err),            //               .rx_par_err
		.hip_status_tx_par_err            (tx_par_err),            //               .tx_par_err
		.hip_status_cfg_par_err           (cfg_par_err),           //               .cfg_par_err
		.hip_status_ko_cpl_spc_header     (ko_cpl_spc_header),     //               .ko_cpl_spc_header
		.hip_status_ko_cpl_spc_data       (ko_cpl_spc_data),       //               .ko_cpl_spc_data
		.pld_clk_1_clk                    (pld_clk),                    //      pld_clk_1.clk
		.hip_status_drv_derr_cor_ext_rcv  (derr_cor_ext_rcv),  // hip_status_drv.derr_cor_ext_rcv
		.hip_status_drv_derr_cor_ext_rpl  (derr_cor_ext_rpl),  //               .derr_cor_ext_rpl
		.hip_status_drv_derr_rpl          (derr_rpl),          //               .derr_rpl
		.hip_status_drv_dlup_exit         (dlup_exit),         //               .dlup_exit
		.hip_status_drv_ev128ns           (ev128ns),           //               .ev128ns
		.hip_status_drv_ev1us             (ev1us),             //               .ev1us
		.hip_status_drv_hotrst_exit       (hotrst_exit),       //               .hotrst_exit
		.hip_status_drv_int_status        (int_status),        //               .int_status
		.hip_status_drv_l2_exit           (l2_exit),           //               .l2_exit
		.hip_status_drv_lane_act          (lane_act),          //               .lane_act
		.hip_status_drv_ltssmstate        (ltssmstate),        //               .ltssmstate
		.hip_status_drv_dlup              (dlup),              //               .dlup
		.hip_status_drv_rx_par_err        (rx_par_err),        //               .rx_par_err
		.hip_status_drv_tx_par_err        (tx_par_err),        //               .tx_par_err
		.hip_status_drv_cfg_par_err       (cfg_par_err),       //               .cfg_par_err
		.hip_status_drv_ko_cpl_spc_header (ko_cpl_spc_header), //               .ko_cpl_spc_header
		.hip_status_drv_ko_cpl_spc_data   (ko_cpl_spc_data)    //               .ko_cpl_spc_data
	);
endmodule
